import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useEffect, useRef } from "react";
import { Button, DialogTitle, DialogContent, DialogActions, Modal, ModalDialog, } from "@mui/joy";
/**
 * NerdConfirmDialog
 *
 * @param {NerdConfirmDialogProps} props component props
 * @returns {ReactElement} NerdConfirmDialog
 */
export function NerdConfirmDialog(props) {
    const { closeDialog, open, options } = props;
    const { content, title, cancelButtonProps, cancelButtonText, confirmButtonProps, confirmButtonText, contentProps, modalProps, titleProps, actionsProps, onCancel, onConfirm, autoFocus = true, } = options;
    const actionRef = useRef(null);
    useEffect(() => {
        if (open && autoFocus) {
            setTimeout(() => actionRef.current?.focusVisible());
        }
    }, [open]);
    return (_jsx(Modal, { ...modalProps, open: open, onClose: closeDialog, children: _jsxs(ModalDialog, { layout: "center", sx: (theme) => ({
                [theme.breakpoints.only("xs")]: {
                    top: 0,
                    left: 0,
                    right: 0,
                    bottom: 0,
                    border: 0,
                    borderRadius: 0,
                    transform: "initial",
                    maxWidth: "initial",
                    maxHeight: "initial",
                    width: "initial",
                },
            }), children: [title && _jsx(DialogTitle, { ...titleProps, children: title }), content && _jsx(DialogContent, { ...contentProps, children: content }), _jsxs(DialogActions, { ...actionsProps, children: [_jsx(Button, { ...confirmButtonProps, action: actionRef, onClick: () => {
                                onConfirm?.();
                                closeDialog();
                            }, children: confirmButtonText }), _jsx(Button, { ...cancelButtonProps, onClick: () => {
                                onCancel?.();
                                closeDialog();
                            }, children: cancelButtonText })] })] }) }));
}
